Index: setup.py
===================================================================
RCS file: /cvsroot/matplotlib/matplotlib/setup.py,v
retrieving revision 1.146
diff -u -r1.146 setup.py
--- setup.py	26 Jan 2006 15:47:56 -0000	1.146
+++ setup.py	26 Jan 2006 17:52:08 -0000
@@ -57,18 +57,9 @@
 import os
 if os.path.exists('MANIFEST'): os.remove('MANIFEST')
 
-try:
-    # check if we have a reasonably recent copy of setuptools
-    from setuptools.command import bdist_egg 
-    from setuptools import setup
-    has_setuptools = True
-except ImportError:
-    from distutils.core import setup
-    has_setuptools = False
-    
 import sys,os
 import glob
-from distutils.core import Extension
+from distutils.core import setup, Extension
 from setupext import build_agg, build_gtkagg, build_tkagg, build_wxagg,\
      build_ft2font, build_image, build_windowing, build_transforms, \
      build_contour, build_enthought, build_swigagg, build_gdk
@@ -272,10 +263,12 @@
 file('matplotlibrc', 'w').write(template%rc)
 
 additional_params = {}
-if has_setuptools:
+if 'setuptools' in sys.modules:
+    # building with setuptools
+    # (e.g. python -c "import setuptools; execfile('setup.py')" install)
     additional_params['namespace_packages'] = ['matplotlib.toolkits']
-
+    
 distrib = setup(name="matplotlib",
       version= __version__,
       description = "Matlab(TM) style python plotting package",